Skip to main content
POST
/
api
/
business-logic-rulesets
Create a new ruleset for the authenticated organization
curl --request POST \
  --url https://app.solya.app/api/business-logic-rulesets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "Rules specific to high-value product collections",
  "name": "Premium Collection Rules",
  "tags": [
    "premium",
    "collection"
  ]
}
'
{
  "createdAt": "2026-06-04T10:00:00.000Z",
  "description": "Rules specific to high-value product collections",
  "id": "ruleset-uuid-new-1",
  "isDefault": false,
  "name": "Premium Collection Rules",
  "tags": [
    "premium",
    "collection"
  ],
  "updatedAt": null
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Body

application/json
name
string
required
Required string length: 1 - 255
description
string | null
tags
string[]

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true